#include <bits/stdc++.h>
#include "guess.h"
//#define DEBUG
#ifdef DEBUG
int a;
int smaller(int x) {
  return a < x;
}
#endif
int find_number(int MAX) {
  int st = 0, dr = MAX;
  while(dr - st > 1) {
    int mij = (dr + st) / 2;
    if(smaller(mij)) {
      dr = mij;
    }else {
      st = mij;
    }
  }
  return st;
}
#ifdef DEBUG
int main() {
  a = 3;
  std::cout << find_number(5);
  return 0;
}
#endif
